From 176992e38c1a9c23196831e78e78556b3cf6feb6 Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Wed, 18 May 2022 20:52:16 +0200
Subject: [PATCH 27/30] Fix slurm_msg_set_r_uid() settings for checkpointing

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/common/checkpoint.c  | 1 +
 src/slurmctld/job_mgr.c  | 2 ++
 src/slurmctld/step_mgr.c | 3 +++
 3 files changed, 6 insertions(+)

diff --git a/src/common/checkpoint.c b/src/common/checkpoint.c
index 8e805043da..3c96e55282 100644
--- a/src/common/checkpoint.c
+++ b/src/common/checkpoint.c
@@ -359,6 +359,7 @@ extern int checkpoint_tasks (uint32_t job_id, uint32_t step_id,
 	ckpt_req.image_dir	= image_dir;
 	req_msg.msg_type	= REQUEST_CHECKPOINT_TASKS;
 	req_msg.data		= &ckpt_req;
+	slurm_msg_set_r_uid(&req_msg, SLURM_AUTH_UID_ANY);
 
 	if ((ret_list = slurm_send_recv_msgs(nodelist, &req_msg, (wait*1000),
 					     false))) {
diff --git a/src/slurmctld/job_mgr.c b/src/slurmctld/job_mgr.c
index 6070b55f9f..a501ee6e85 100644
--- a/src/slurmctld/job_mgr.c
+++ b/src/slurmctld/job_mgr.c
@@ -17116,6 +17116,7 @@ extern int job_checkpoint(checkpoint_msg_t *ckpt_ptr, uid_t uid,
 	if (conn_fd < 0)	/* periodic checkpoint */
 		return rc;
 
+	slurm_msg_set_r_uid(&resp_msg, uid);
 	if ((rc == SLURM_SUCCESS) &&
 	    ((ckpt_ptr->op == CHECK_ABLE) || (ckpt_ptr->op == CHECK_ERROR))) {
 		resp_msg.msg_type = RESPONSE_CHECKPOINT;
@@ -17536,6 +17537,7 @@ extern int job_restart(checkpoint_msg_t *ckpt_ptr, uid_t uid, int conn_fd,
 	rc_msg.return_code = rc;
 	resp_msg.msg_type  = RESPONSE_SLURM_RC;
 	resp_msg.data      = &rc_msg;
+	slurm_msg_set_r_uid(&resp_msg, uid);
 	(void) slurm_send_node_msg(conn_fd, &resp_msg);
 
 	return rc;
diff --git a/src/slurmctld/step_mgr.c b/src/slurmctld/step_mgr.c
index 5ba6386daa..6bd4a1608c 100644
--- a/src/slurmctld/step_mgr.c
+++ b/src/slurmctld/step_mgr.c
@@ -3427,6 +3427,7 @@ extern int job_step_checkpoint(checkpoint_msg_t *ckpt_ptr,
 	}
 
     reply:
+	slurm_msg_set_r_uid(&resp_msg, uid);
 	if ((rc == SLURM_SUCCESS) &&
 	    ((ckpt_ptr->op == CHECK_ABLE) || (ckpt_ptr->op == CHECK_ERROR))) {
 		resp_msg.msg_type = RESPONSE_CHECKPOINT;
@@ -3496,6 +3497,7 @@ extern int job_step_checkpoint_comp(checkpoint_comp_msg_t *ckpt_ptr,
 	rc_msg.return_code = rc;
 	resp_msg.msg_type  = RESPONSE_SLURM_RC;
 	resp_msg.data      = &rc_msg;
+	slurm_msg_set_r_uid(&resp_msg, uid);
 	(void) slurm_send_node_msg(conn_fd, &resp_msg);
 	return rc;
 }
@@ -3555,6 +3557,7 @@ extern int job_step_checkpoint_task_comp(checkpoint_task_comp_msg_t *ckpt_ptr,
 	rc_msg.return_code = rc;
 	resp_msg.msg_type  = RESPONSE_SLURM_RC;
 	resp_msg.data      = &rc_msg;
+	slurm_msg_set_r_uid(&resp_msg, uid);
 	(void) slurm_send_node_msg(conn_fd, &resp_msg);
 	return rc;
 }
-- 
2.35.3


